#if !defined(AFX_CALLDLG_H__E8D8F023_41E3_11D4_93A3_0000E86DCAD8__INCLUDED_)
#define AFX_CALLDLG_H__E8D8F023_41E3_11D4_93A3_0000E86DCAD8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CallDlg.h : header file
//

#include <afxmt.h>
#include "GradientProgressCtrl.h"
#include "ClientThread.h"
/////////////////////////////////////////////////////////////////////////////
// CCallDlg dialog

#define CALL_ORIGIN			0	//ʼ
#define CALL_CONNECTING		1	//
#define CALL_CONNECTED		2	//ѾӺ
#define CALL_DISCONNECT		3	//ȡ
#define CALL_WAITING		4	//ȴ

class CCallDlg : public CDialog
{
// Construction
public:
	void OnCancel();
	CCallDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CCallDlg)
	enum { IDD = IDD_DIALOG_CALL };
	CGradientProgressCtrl	m_ctrlProgress;
	UINT	m_nPort;
	CString	m_szServer;
	CString	m_szCallTips;
	BOOL	m_bUseProxy;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCallDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCallDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnCallTimeOut(WPARAM wParam, LPARAM lParam);
	afx_msg void OnThreadQuit( WPARAM wParam, LPARAM lParam );
	afx_msg void OnThreadConnect( WPARAM wParam, LPARAM lParam);
	afx_msg void OnThreadResolve(WPARAM wParam, LPARAM lParam);
	afx_msg void OnThreadWrite(WPARAM wParam, LPARAM lParam);
	afx_msg void OnTransfer(WPARAM wParam, LPARAM lParam); 
	afx_msg void OnThreadData(WPARAM wParam, LPARAM lParam); 
	afx_msg void OnConnectOK(WPARAM wParam, LPARAM lParam);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	BOOL m_bMode;
	LPBYTE m_lpReceiveBuffer;
	BOOL m_bConnectMode;
	HWND m_hMainWnd;
	int m_bState;
public:
	void Base64Code(char *inbuf,char *outbuf);
	void HTTPAuth(char *uid,char *pass,char *outbuf);
	CClientThread *m_pClientThread;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CALLDLG_H__E8D8F023_41E3_11D4_93A3_0000E86DCAD8__INCLUDED_)
