#if !defined(AFX_CLIENTTHREAD_H__890AB2C9_429F_11D4_93A3_0000E86DCAD8__INCLUDED_)
#define AFX_CLIENTTHREAD_H__890AB2C9_429F_11D4_93A3_0000E86DCAD8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ClientThread.h : header file
//

#include "TCPSocket.h"

//Ϣ
#define CLIENT_ERROR_NOERROR			0	//ûд
#define CLIENT_ERROR_CREATE				1	//ʧ
#define CLIENT_ERROR_CONNECT			2	//ʧ
#define CLIENT_ERROR_CONNECT_TIMEOUT	3	//ӳʱ
#define CLIENT_ERROR_READ				4	//ݳ
#define CLIENT_ERROR_WRITE				5	//д
#define CLIENT_ERROR_SERVER_CLOSE		6	//Էر
#define CLIENT_ERROR_RESET				7	//·reset

//״̬
#define CLIENT_ORIGIN		0	//ԭʼ״̬
#define CLIENT_CREATE		1	//
#define CLIENT_CONNECTING	2	//ȴ
#define CLIENT_WAITING		3	//ȴ
#define CLIENT_READING		4	//
#define CLIENT_WRITING		5	//д
#define CLIENT_QUITING		6	//ڵȴ˳
#define CLIENT_CLOSED		7	//ر

//̱߳봦SOCKETϢ
//SOCKET_THREAD_CONNECT, SOCKET_THREAD_READ

/////////////////////////////////////////////////////////////////////////////
// CClientThread thread

class CClientThread : public CWinThread
{
	DECLARE_DYNCREATE(CClientThread)
protected:
	CClientThread();           // protected constructor used by dynamic creation
public:
	CClientThread(CString szHost, UINT nPort, BOOL bUseProxy, HWND hWnd, HWND hFinalWnd);

// Attributes
public:

// Operations
public:
	int GetLastError();
	void KillThread();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CClientThread)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation
public:
	BOOL ChangeHandle();
	CString GetHost();
	SOCKET GetSocket();
	HANDLE m_hWaitEvent;
	void OnSocketConnect();
	virtual ~CClientThread();

	// Generated message map functions
	//{{AFX_MSG(CClientThread)
		// NOTE - the ClassWizard will add and remove member functions here.
	
	afx_msg void OnSocketRead(WPARAM wParam, LPARAM lParam);
	afx_msg void OnSocketWrite(WPARAM wParam, LPARAM lParam);
	afx_msg void OnSocketClose(WPARAM wParam, LPARAM lParam);
	afx_msg void OnThreadData(WPARAM wParam, LPARAM lParam );
	afx_msg void OnThreadQuit(WPARAM wParam, LPARAM lParam);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
private:
	HWND m_hFinalWnd;
	BOOL m_bUseProxy;
	int m_bState;
	int nErrorCode;
	CTCPSocket m_cTCPSocket;
	CString	   m_szHost;		//
	UINT	   m_nPort;			//˿
	HWND	   m_hMainWnd;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CLIENTTHREAD_H__890AB2C9_429F_11D4_93A3_0000E86DCAD8__INCLUDED_)
